package com.netapp.myasup.reports.util;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.TimeZone;

public class RmUtil {

//	private static final String DATE_FORMAT = "dd/MMM/yyyy hh:mm:ss a";
	private static final String DATE_FORMAT = "dd-MMM-yy hh.mm.ss a";
	private static final String DATE_FORMAT_UI = "EEE, d MMM yyyy HH:mm:ss z";
	
	public static String converLocalTimeToUTCForDB(Date date) {
		String timeInGMT = null;
		if(date != null){
			SimpleDateFormat sdf = new SimpleDateFormat(DATE_FORMAT);
			sdf.setTimeZone(TimeZone.getTimeZone("GMT"));
			timeInGMT = sdf.format(date.getTime());
		}
		return timeInGMT;
	}
	
	public static String convertLocalTimeToUTCForUI(Date date) {
		String timeInGMT = null;
		if(date != null){
			SimpleDateFormat sdf = new SimpleDateFormat(DATE_FORMAT_UI);
			sdf.setTimeZone(TimeZone.getTimeZone("GMT"));
			timeInGMT = sdf.format(date.getTime());
		}
		return timeInGMT;
	}
	
	// Change a Date to GMT  
    public static Date toGMT(Date date) {  
        return changeTimeZone(date, TimeZone.getTimeZone("GMT"));  
    }  
  
    // Change a date to GMT from a given timezone  
    public static Date toGmtFromZone(Date date, String fromZone) {  
        TimeZone pst = TimeZone.getTimeZone(fromZone);  
        return new Date(date.getTime() - pst.getRawOffset());  
    }  
  
    // Change a date in another timezone  
    public static Date changeTimeZone(Date date, TimeZone zone) {  
        Calendar first = Calendar.getInstance(zone);  
        first.setTimeInMillis(date.getTime());  
  
        Calendar output = Calendar.getInstance();  
        output.set(Calendar.YEAR, first.get(Calendar.YEAR));  
        output.set(Calendar.MONTH, first.get(Calendar.MONTH));  
        output.set(Calendar.DAY_OF_MONTH, first.get(Calendar.DAY_OF_MONTH));  
        output.set(Calendar.HOUR_OF_DAY, first.get(Calendar.HOUR_OF_DAY));  
        output.set(Calendar.MINUTE, first.get(Calendar.MINUTE));  
        output.set(Calendar.SECOND, first.get(Calendar.SECOND));  
        output.set(Calendar.MILLISECOND, first.get(Calendar.MILLISECOND));  
  
        return output.getTime();  
    }     
    
    public static void main(String[] args) {
    	
//    	Date finalDate = RmUtil.toGMT(new Date());
//    	System.out.println(finalDate.toString());
//    	List<Integer> numbers = Collections.unmodifiableList(
//    		    Arrays.asList(5,3,1,2,9,5,0,7)
//    	);
//    	
//    	List<List<Integer>> parts = partitionList(numbers, 5);
//    	System.out.println(parts);
		
	}
    
}
